# Query Distributed Redis Backup - DescribeUMemBackup

## Overview

Query Distributed Redis Backup






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUMemBackup`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **SpaceId** | string | Resource ID |**Yes**|
| **Offset** | int | The starting offset for pagination display, the default value is 0. |No|
| **Limit** | int | Number of items displayed per page, the default value is 10 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **DataSet** | array[[*UMemBackupSet*](#umembackupset)] | Distributed Redis backup, each element of the array is the backup of each shard. |No|
| **TotalCount** | int | total backup count |No|

#### Data Model


#### UMemBackupSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **BackupName** | string | Backup Name |**Yes**|
| **CreateTime** | int | Creation Time |**Yes**|
| **State** | string | Starting: In Backup Done: Completed |**Yes**|
| **BackupId** | string | Backup ID of the space |**Yes**|
| **BackupType** | string | Backup Type: auto(Automatic), manual(Manual) |**Yes**|
| **BlockCount** | int | The number of shards in this backup |**Yes**|
| **BlockSize** | int | Backup Size |No|

## Example

### Request Example
    
```
https://api.dezai.com/?Action=DescribeUMemBackup
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=ttzQIEAS
&SpaceId=UgIbZdcJ
&Offset=3
&Limit=3
```

### Response Example
    
```json
{
  "Action": "DescribeUMemBackupResponse",
  "DataSet": [
    {
      "BackupId": "YKTpXALa",
      "BackupName": "wswsYgCj",
      "BackupType": "XkJRGPby",
      "CreateTime": 3,
      "Protocol": "ADqlSMfS",
      "SpaceId": "BockWwNG",
      "State": "gvqEneLQ"
    }
  ],
  "RetCode": 0,
  "TotalCount": 5
}
```





